nix3-nar-cat(1)

    Warning
    This program is experimental and its interface is subject to change.

Name
nix nar cat - print the contents of a file inside a NAR file on stdout

Synopsis
nix nar cat [option…] nar path

Examples

•   List a file in a NAR and pipe it through gunzip:

    # nix nar cat ./hello.nar /share/man/man1/hello.1.gz | gunzip
    .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.46.4.
    .TH HELLO "1" "November 2014" "hello 2.10" "User Commands"
    …

Description
This command prints on standard output the contents of the regular file path inside the NAR file nar.

Options

  Logging-related options

•   --debug

    Set the logging verbosity level to ‘debug’.

•   --log-format format

    Set the format of log output; one of raw, internal-json, bar or bar-with-logs.

•   --print-build-logs / -L

    Print full build logs on standard error.

•   --quiet

    Decrease the logging verbosity level.

•   --verbose / -v

    Increase the logging verbosity level.

  Miscellaneous global options

•   --help

    Show usage information.

•   --offline

    Disable substituters and consider all previously downloaded files up-to-date.

•   --option name value

    Set the Nix configuration setting name to value (overriding nix.conf).

•   --refresh

    Consider all previously downloaded files out-of-date.

•   --version

    Show version information.

    Note

    See man nix.conf for overriding configuration settings with command line flags.